<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background">

    <RelativeLayout
        android:id="@+id/answer_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/answer_detail_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/container_control"
            android:background="@color/background_white"
            android:visibility="visible">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <View
                    android:id="@+id/answer_detail_line"
                    android:layout_width="match_parent"
                    android:layout_height="8dp"
                    android:background="@color/background"
                    app:layout_constraintTop_toTopOf="parent" />

                <RelativeLayout
                    android:id="@+id/answer_detail_title_rl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="10dp"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_line">

                    <TextView
                        android:id="@+id/answer_detail_title"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:layout_marginTop="12dp"
                        android:layout_marginRight="20dp"
                        android:background="@color/background"
                        android:gravity="center_vertical"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:id="@+id/question_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/answer_detail_title"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <View
                                android:layout_width="60dp"
                                android:layout_height="15dp"
                                android:layout_marginLeft="20dp"
                                android:layout_marginTop="8dp"
                                android:layout_marginRight="20dp"
                                android:background="@color/background" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="100dp"
                                android:layout_marginLeft="20dp"
                                android:layout_marginTop="8dp"
                                android:layout_marginRight="20dp">

                                <View
                                    android:layout_width="0dp"
                                    android:layout_height="104dp"
                                    android:layout_marginRight="12dp"
                                    android:layout_weight="1"
                                    android:background="@color/background" />

                                <View
                                    android:layout_width="0dp"
                                    android:layout_height="104dp"
                                    android:layout_marginRight="12dp"
                                    android:layout_weight="1"
                                    android:background="@color/background" />

                                <View
                                    android:layout_width="0dp"
                                    android:layout_height="104dp"
                                    android:layout_weight="1"
                                    android:background="@color/background" />

                            </LinearLayout>
                        </LinearLayout>

                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/answer_detail_title_container"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/question_content"
                        android:layout_marginLeft="20dp"
                        android:layout_marginTop="12dp"
                        android:layout_marginRight="20dp">

                        <View
                            android:layout_width="60dp"
                            android:layout_height="20dp"
                            android:background="@color/background"
                            android:paddingLeft="9dp"
                            android:paddingTop="7dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="7dp" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="18dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:background="@color/background" />

                    </RelativeLayout>

                </RelativeLayout>

                <View
                    android:id="@+id/answer_detail_line2"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:background="@color/background"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_title_rl" />

                <RelativeLayout
                    android:id="@+id/answer_detail_usericon_container"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="15dp"
                    android:background="@drawable/bg_circle_background"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_line2" />

                <TextView
                    android:id="@+id/answer_detail_username"
                    android:layout_width="50dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:background="@color/background"
                    android:maxLength="10"
                    android:textColor="@color/title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@+id/answer_detail_Rd"
                    app:layout_constraintLeft_toRightOf="@id/answer_detail_usericon_container"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_line2" />


                <TextView
                    android:id="@+id/answer_detail_follow"
                    android:layout_width="70dp"
                    android:layout_height="25dp"
                    android:layout_marginRight="20dp"
                    android:background="@color/background"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="11sp"
                    android:visibility="gone"
                    app:layout_constraintBottom_toTopOf="@+id/answer_detail_Rd"
                    app:layout_constraintRight_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_line2"
                    tools:text="关注"
                    tools:visibility="visible" />

                <View
                    android:id="@+id/answer_detail_Rd"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_usericon_container" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="25dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="20dp"
                    android:background="@color/background"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_usericon_container" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="25dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="55dp"
                    android:layout_marginRight="20dp"
                    android:background="@color/background"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_usericon_container" />

                <View
                    android:layout_width="240dp"
                    android:layout_height="25dp"
                    android:layout_marginTop="95dp"
                    android:layout_marginRight="20dp"
                    android:background="@color/background"
                    app:layout_constraintLeft_toLeftOf="@id/answer_detail_usericon_container"
                    app:layout_constraintTop_toBottomOf="@id/answer_detail_usericon_container" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </ScrollView>

        <RelativeLayout
            android:id="@+id/container_control"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true"
            android:background="@color/background_white">

            <LinearLayout
                android:id="@+id/container_like"
                android:layout_width="wrap_content"
                android:layout_height="34dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="15dp"
                android:background="@drawable/round_grey_bg"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">

                <ImageView
                    android:id="@+id/iv_like"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_like_normal"
                    android:visibility="invisible" />

                <TextView
                    android:id="@+id/tv_like"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:text="赞同 0"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    android:visibility="invisible" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/container_dislike"
                android:layout_width="42dp"
                android:layout_height="34dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@id/container_like"
                android:background="@drawable/round_grey_bg"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">

                <ImageView
                    android:id="@+id/iv_dislike"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_dislike_normal"
                    android:visibility="invisible" />

            </LinearLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@id/container_dislike">

                <View
                    android:id="@+id/iv_comment"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="26dp"
                    android:background="@color/background"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:id="@+id/iv_collect"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="32dp"
                    android:background="@color/background"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toLeftOf="@id/iv_comment"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:id="@+id/iv_share"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginRight="32dp"
                    android:background="@color/background"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toLeftOf="@id/iv_collect"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </RelativeLayout>

        <View
            android:id="@+id/questionsdetail_line"
            android:layout_width="match_parent"
            android:layout_height="7dp"
            android:layout_above="@+id/container_control"
            android:background="@drawable/shadow" />

        <View
            android:id="@+id/line_divider"
            android:layout_width="match_parent"
            android:layout_height="@dimen/cutting_line"
            android:layout_above="@+id/container_control"
            android:background="@color/cutting_line" />

    </RelativeLayout>

</RelativeLayout>
